Tp::SimpleCallObserver Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Tp::SimpleCallObserver Class Reference
Utililty classes

The SimpleCallObserver class provides an easy way to track calls in an account and can be optionally filtered by a contact and/or call direction. More...

`#include <TelepathyQt/SimpleCallObserver>`

Inherits QObject, and Tp::RefCounted.

## Public Types
enum | CallDirection { CallDirectionIncoming, CallDirectionOutgoing, CallDirectionBoth }

## Signals
void | callStarted (const Tp::CallChannelPtr &channel)
void | callEnded (const Tp::CallChannelPtr &channel, const QString &errorName, const QString &errorMessage)
void | streamedMediaCallStarted (const Tp::StreamedMediaChannelPtr &channel)
void | streamedMediaCallEnded (const Tp::StreamedMediaChannelPtr &channel, const QString &errorName, const QString &errorMessage)

## Public Member Functions
virtual | ~SimpleCallObserver ()
AccountPtr | account () const
QString | contactIdentifier () const
CallDirection | direction () const
QList< CallChannelPtr > | calls () const
QList< StreamedMediaChannelPtr > | streamedMediaCalls () const
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static SimpleCallObserverPtr | create (const AccountPtr &account, CallDirection direction=CallDirectionBoth)
static SimpleCallObserverPtr | create (const AccountPtr &account, const ContactPtr &contact, CallDirection direction=CallDirectionBoth)
static SimpleCallObserverPtr | create (const AccountPtr &account, const QString &contactIdentifier, CallDirection direction=CallDirectionBoth)

## Detailed Description

The SimpleCallObserver class provides an easy way to track calls in an account and can be optionally filtered by a contact and/or call direction.

## Member Enumeration Documentation

enum Tp::SimpleCallObserver::CallDirection

Enumerator
CallDirectionIncoming |
CallDirectionOutgoing |
CallDirectionBoth |

## Constructor & Destructor Documentation

Tp::SimpleCallObserver::~SimpleCallObserver | ( |  | ) |
| virtual

Class destructor.

## Member Function Documentation

SimpleCallObserverPtr Tp::SimpleCallObserver::create | ( | const AccountPtr & | account,
|  | CallDirection | direction = `CallDirectionBoth`
| ) |  |
| static

Create a new SimpleCallObserver object.

Events will be signalled for all calls in account that respect direction.

Parameters

  account | The account used to listen to events.
  direction | The direction of the calls used to filter events.

Returns
  An SimpleCallObserverPtr object pointing to the newly created SimpleCallObserver object.

SimpleCallObserverPtr Tp::SimpleCallObserver::create | ( | const AccountPtr & | account,
|  | const ContactPtr & | contact,
|  | CallDirection | direction = `CallDirectionBoth`
| ) |  |
| static

Create a new SimpleCallObserver object.

Events will be signalled for all calls in account established with contact and that respect direction.

Parameters

  account | The account used to listen to events.
  contact | The contact used to filter events.
  direction | The direction of the calls used to filter events.

Returns
  An SimpleCallObserverPtr object pointing to the newly created SimpleCallObserver object.

SimpleCallObserverPtr Tp::SimpleCallObserver::create | ( | const AccountPtr & | account,
|  | const QString & | contactIdentifier,
|  | CallDirection | direction = `CallDirectionBoth`
| ) |  |
| static

Create a new SimpleCallObserver object.

Events will be signalled for all calls in account established with a contact identified by contactIdentifier and that respect direction.

Parameters

  account | The account used to listen to events.
  contactIdentifier | The identifier of the contact used to filter events.
  direction | The direction of the calls used to filter events.

Returns
  An SimpleCallObserverPtr object pointing to the newly created SimpleCallObserver object.

AccountPtr Tp::SimpleCallObserver::account | ( |  | ) | const

Return the account used to listen to events.

Returns
  A pointer to the Account object.

QString Tp::SimpleCallObserver::contactIdentifier | ( |  | ) | const

Return the identifier of the contact used to filter events, or an empty string if none was provided at construction.

Returns
  The identifier of the contact.

SimpleCallObserver::CallDirection Tp::SimpleCallObserver::direction | ( |  | ) | const

Return the direction of the calls used to filter events.

Returns
  The direction of the calls as SimpleCallObserver::CallDirection.

QList< CallChannelPtr > Tp::SimpleCallObserver::calls | ( |  | ) | const

Return the list of calls currently being observed.

Returns
  A list of pointers to CallChannel objects.

QList< StreamedMediaChannelPtr > Tp::SimpleCallObserver::streamedMediaCalls | ( |  | ) | const

Return the list of streamed media calls currently being observed.

Deprecated:
  Use calls() instead. Modern clients shouldn't use StreamedMedia channels.

Returns
  A list of pointers to StreamedMediaChannel objects.

void Tp::SimpleCallObserver::callStarted | ( | const Tp::CallChannelPtr & | channel | ) |
| signal

Emitted whenever a call that matches this observer's criteria is started.

Parameters

  channel | The channel representing the call that started.

void Tp::SimpleCallObserver::callEnded | ( | const Tp::CallChannelPtr & | channel,
|  | const QString & | errorName,
|  | const QString & | errorMessage
| ) |  |
| signal

Emitted whenever a call that matches this observer's criteria has ended.

Parameters

  channel | The channel representing the call that ended.
  errorName | A D-Bus error name (a string in a subset of ASCII, prefixed with a reversed domain name).
  errorMessage | A debugging message associated with the error.

void Tp::SimpleCallObserver::streamedMediaCallStarted | ( | const Tp::StreamedMediaChannelPtr & | channel | ) |
| signal

Emitted whenever a streamed media call that matches this observer's criteria is started.

Parameters

  channel | The channel representing the streamed media call that started.

Deprecated:
  Use callStarted() instead. Modern clients shouldn't use StreamedMedia channels.

void Tp::SimpleCallObserver::streamedMediaCallEnded | ( | const Tp::StreamedMediaChannelPtr & | channel,
|  | const QString & | errorName,
|  | const QString & | errorMessage
| ) |  |
| signal

Emitted whenever a streamed media call that matches this observer's criteria has ended.

Parameters

  channel | The channel representing the streamed media call that ended.
  errorName | A D-Bus error name (a string in a subset of ASCII, prefixed with a reversed domain name).
  errorMessage | A debugging message associated with the error.

Deprecated:
  Use callEnded() instead. Modern clients shouldn't use StreamedMedia channels.